import java.io.*;
public class ReadFriends {

  static public String [] getContents(File aFile, String id) {
    StringBuilder contents = new StringBuilder();
    String [] lineArr = null;
    
    try {
      BufferedReader input =  new BufferedReader(new FileReader(aFile));
      try {
        String line = null; 
        while (( line = input.readLine()) != null){
	  //lineArr = line.split("\\s+");
	  lineArr = line.split(",");
	  if (id.equals(lineArr[0])) {
	  	System.out.println("OK");
		break;
	  }
        }
      }
      finally {
        input.close();
      }
    }
    catch (IOException ex){
      ex.printStackTrace();
    }
    
    return lineArr;
  }

  static public void setContents(File aFile, String aContents)
                                 throws FileNotFoundException, IOException {
    if (aFile == null) {
      throw new IllegalArgumentException("File should not be null.");
    }
    if (!aFile.exists()) {
      throw new FileNotFoundException ("File does not exist: " + aFile);
    }
    if (!aFile.isFile()) {
      throw new IllegalArgumentException("Should not be a directory: " + aFile);
    }
    if (!aFile.canWrite()) {
      throw new IllegalArgumentException("File cannot be written: " + aFile);
    }

    Writer output = new BufferedWriter(new FileWriter(aFile));
    try {
      output.write( aContents );
    }
    finally {
      output.close();
    }
  }

  public static void main (String... aArguments) throws IOException {
    File testFile = new File("FaceBook_friendships.csv");
    String [] myFriends =  getContents(testFile, "9");
    System.out.println(myFriends[0] + " " + myFriends[1]);

  }
} 

